Bug 1301601 - websockets are not used for periodical requests
websockets are not used for periodical requests
Status: CLOSED WONTFIX
Product: Red Hat Storage Console
Classification: Red Hat
Component: UI (Show other bugs)
2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3
Assigned To: sankarshan
sds-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-25 08:44 EST by Martin Kudlej
Modified: 2017-03-23 00:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-23 00:11:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kudlej 2016-01-25 08:44:07 EST
Description of problem:
Websockets are not used for periodical requests. Instead of them are used periodical XHRs which downgrades UI performance.

Version-Release number of selected component (if applicable):
rhscon-ui-0.0.6-0.1.alpha1.el7.noarch
rhscon-core-0.0.6-0.1.alpha1.el7.x86_64
rhscon-ceph-0.0.4-0.1.alpha1.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. watch websockets traffic on ws://_usm_server_:8081/ws

Actual results:
Websockets are not used for periodical requests.

Expected results:
Websockets are used for all periodical requests.
Comment 3 Nishanth Thomas 2016-05-05 02:33:28 EDT
Enhancement - moving to 3.0

Note You need to log in before you can comment on or make changes to this bug.